# © 2024 Telefónica Innovación Digital

# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at

#     http://www.apache.org/licenses/LICENSE-2.0

# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
apiVersion: apps/v1
kind: Deployment
metadata:
  name: mncc-ibs
  namespace: nemo-net
  labels:
    app: nemo
    type: backend
    deployment: mncc-ibs
spec:
  replicas: 1
  strategy:
    rollingUpdate:
      maxUnavailable: 1   # for pod anti-affinity to work
    type: RollingUpdate
  selector:
    matchLabels:
      app: mncc-ibs
  template:
    metadata:
      labels:
        app: mncc-ibs
        type: baackend
        pod: mncc-ibs
    spec:
      imagePullSecrets:
        - name: nemo-regcred
      containers:
      - name: intent-engine
        image: nemometaos/mncc-ibs:v0.0.2
        ports:
        - containerPort: 3000
          # containerPort: 8080
        env:
        - name: AMQP_HOST
          value: '132.227.122.23'
        - name: L2SM_SERVICE
          value: 'localhost:8080'
        - name: RMQ_EXCHANGE
          value: 'mo'
        - name: RMQ_QUEUE
          value: 'mncc'
        - name: RMQ_PORT
          value: "30403"
        - name: RMBQ_USER
          value: 'nemo-user'
        - name: RMBQ_PASSWORD
          value: 'PRE4utv0ytf0fnbeuv'
        - name: RMQ_BINDING
          value: 'create-network-paths'

---
apiVersion: v1
kind: Service
metadata:
  name: intent-service
  namespace: ie
spec:
  selector:
    app: intent-engine
  ports:
    - name: rabbitmq
      protocol: TCP
      port: 51276
      targetPort: 51276
    - name: rabbitmq2
      protocol: TCP
      port: 5672
      targetPort: 5672
    - name: rabbitmq3
      protocol: TCP
      port: 44914
      targetPort: 44914
    - name: http
      protocol: TCP
      port: 8080
      targetPort: 8080